> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Create contract obligation

POST https://integrators.prod.api.tabsplatform.com/v3/contracts/{id}/obligations
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/contracts/createObligation

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/contracts/{id}/obligations:
    post:
      operationId: integrators-api-contractsv-3-controller-create-obligation
      summary: Create contract obligation
      tags:
        - contracts
      parameters:
        - name: id
          in: path
          description: Contract Id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '201':
          description: The obligation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObligationDto'
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateObligationDto'
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    CreateBillingScheduleDtoInvoiceDateStrategy:
      type: string
      enum:
        - FIRST_OF_PERIOD
        - LAST_OF_PERIOD
        - ARREARS
        - ADVANCED_DUE_START
      description: |-
        Strategy for determining when to send invoices. Either this field OR 
              isArrears must be provided, but not both. FIRST_OF_PERIOD (invoice at start of
              billing period), LAST_OF_PERIOD (invoice at end of billing period), ARREARS
              (invoice after service delivery) or ADVANCED_DUE_START (invoice date at start of
              billing period minus netPaymentTerms days, due start of service).
      title: CreateBillingScheduleDtoInvoiceDateStrategy
    CreateBillingScheduleDtoInterval:
      type: string
      enum:
        - NONE
        - DAY
        - MONTH
        - HOUR
        - YEAR
        - QUARTER
        - SEMI_MONTH
        - WEEK
      description: Type of recurring interval
      title: CreateBillingScheduleDtoInterval
    CreateBillingScheduleDtoBillingType:
      type: string
      enum:
        - UNIT
        - FLAT
      description: Billing Type
      title: CreateBillingScheduleDtoBillingType
    CreateBillingScheduleDtoPricingType:
      type: string
      enum:
        - SIMPLE
        - TIERED
        - VOLUME
      description: Single, multiple, or volume-based pricing tiers
      title: CreateBillingScheduleDtoPricingType
    CreateBillingScheduleDtoInvoiceType:
      type: string
      enum:
        - INVOICE
        - BILL
      description: INVOICE or BILL for remittance. Use INVOICE for all instances
      title: CreateBillingScheduleDtoInvoiceType
    PricingTierDtoAmountType:
      type: string
      enum:
        - PER_ITEM
        - TOTAL_INVOICE
      description: Amount Type
      title: PricingTierDtoAmountType
    PricingTierDto:
      type: object
      properties:
        tier:
          type: number
          format: double
          description: Tier Number
        amount:
          type: number
          format: double
          description: Amount
        amountType:
          $ref: '#/components/schemas/PricingTierDtoAmountType'
          description: Amount Type
        tierMinimum:
          type: number
          format: double
          description: Tier Minimum
      required:
        - tier
        - amount
        - amountType
        - tierMinimum
      title: PricingTierDto
    CreateBillingScheduleDto:
      type: object
      properties:
        description:
          type: string
          description: Line Item Description
        startDate:
          type: string
          description: Billing Start Date
        duration:
          type: number
          format: double
          default: 0
          description: Billing Duration
        isArrears:
          type: boolean
          description: |-
            Is Arrears (DEPRECATED: Use invoiceDateStrategy instead). 
                  Either this field OR invoiceDateStrategy must be provided, but not both.
        invoiceDateStrategy:
          $ref: '#/components/schemas/CreateBillingScheduleDtoInvoiceDateStrategy'
          description: >-
            Strategy for determining when to send invoices. Either this field
            OR 
                  isArrears must be provided, but not both. FIRST_OF_PERIOD (invoice at start of
                  billing period), LAST_OF_PERIOD (invoice at end of billing period), ARREARS
                  (invoice after service delivery) or ADVANCED_DUE_START (invoice date at start of
                  billing period minus netPaymentTerms days, due start of service).
        isRecurring:
          type: boolean
          description: Is Recurring
        includeInArr:
          type: boolean
          description: >-
            Whether this billing term contributes to ARR (Annual Recurring
            Revenue). Defaults based on billing type and interval when omitted
            (usage and one-time terms default to false).
        interval:
          $ref: '#/components/schemas/CreateBillingScheduleDtoInterval'
          description: Type of recurring interval
        intervalFrequency:
          type: number
          format: double
          description: Frequency of recurring interval to invoice
        netPaymentTerms:
          type: number
          format: double
          description: Time between issue and due date
        quantity:
          type: number
          format: double
          description: Quantity; set to 0 for UNIT billingType
        billingType:
          $ref: '#/components/schemas/CreateBillingScheduleDtoBillingType'
          description: Billing Type
        pricingType:
          $ref: '#/components/schemas/CreateBillingScheduleDtoPricingType'
          description: Single, multiple, or volume-based pricing tiers
        eventTypeId:
          type: string
          description: Usage Event Type Id
        itemId:
          type: string
          description: The item in the ERP that the line items will belong to
        productId:
          type:
            - string
            - 'null'
          description: >-
            Product ID from /v3/products that links this billing term to an
            entry in the merchant's product catalog. To ensure revenue reporting
            accuracy, associate the billing term with a product whenever
            applicable.
        invoiceType:
          $ref: '#/components/schemas/CreateBillingScheduleDtoInvoiceType'
          description: INVOICE or BILL for remittance. Use INVOICE for all instances
        pricing:
          type: array
          items:
            $ref: '#/components/schemas/PricingTierDto'
          description: Pricing tiers
        classId:
          type: string
          description: Class Id
        departmentId:
          type: string
          description: Department Id
        projectId:
          type: string
          description: Project Id
        name:
          type: string
          description: >-
            Line item name. Required unless productId is provided, in which case
            it is populated from the product's display name.
      required:
        - startDate
        - isRecurring
        - interval
        - intervalFrequency
        - netPaymentTerms
        - quantity
        - billingType
        - pricingType
        - invoiceType
        - pricing
      title: CreateBillingScheduleDto
    DiscountDtoType:
      type: string
      enum:
        - PERCENTAGE
        - FIXED
      description: The type of discount
      title: DiscountDtoType
    DiscountDto:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/DiscountDtoType'
          description: The type of discount
        amount:
          type: string
          description: The discount amount (stored as mantissa in database with exponent 0)
        note:
          type: string
          description: Optional note about the discount
      title: DiscountDto
    SeatBasedObligationConfigDtoDefaultProrationPolicy:
      type: string
      enum:
        - NONE
        - DAY
        - MONTH
        - YEAR
      description: Default proration policy
      title: SeatBasedObligationConfigDtoDefaultProrationPolicy
    SeatBasedObligationConfigDtoDefaultTrueUpTiming:
      type: string
      enum:
        - IMMEDIATE
        - CO_TERM
      description: Default true up timing
      title: SeatBasedObligationConfigDtoDefaultTrueUpTiming
    SeatBasedObligationConfigDto:
      type: object
      properties:
        isMovingMinimum:
          type: boolean
          description: Whether we need to update minimums on a moving basis
        minQuantity:
          type: number
          format: double
          description: 'Minimum quantity to bill for, regardless of current # of seats'
        defaultProrationPolicy:
          $ref: >-
            #/components/schemas/SeatBasedObligationConfigDtoDefaultProrationPolicy
          description: Default proration policy
        defaultTrueUpTiming:
          $ref: '#/components/schemas/SeatBasedObligationConfigDtoDefaultTrueUpTiming'
          description: Default true up timing
      required:
        - isMovingMinimum
        - minQuantity
        - defaultProrationPolicy
        - defaultTrueUpTiming
      title: SeatBasedObligationConfigDto
    CreateObligationDto:
      type: object
      properties:
        serviceStartDate:
          type: string
          description: Revenue Start Date
        serviceEndDate:
          type: string
          description: Revenue End Date
        categoryId:
          type: string
          description: Category Id
        billingSchedule:
          $ref: '#/components/schemas/CreateBillingScheduleDto'
          description: Billing Schedule
        discount:
          $ref: '#/components/schemas/DiscountDto'
          description: >-
            Discount configuration. Examples: { type: 'FIXED', amount: '5.00' }
            for a $5.00 fixed discount, or { type: 'PERCENTAGE', amount: '0.10'
            } for a 10% percentage discount
        seatConfig:
          $ref: '#/components/schemas/SeatBasedObligationConfigDto'
          description: Seat-based obligation configuration
      required:
        - serviceStartDate
        - serviceEndDate
        - billingSchedule
      title: CreateObligationDto
    BillingScheduleDtoInvoiceDateStrategy:
      type: string
      enum:
        - FIRST_OF_PERIOD
        - LAST_OF_PERIOD
        - ARREARS
        - ADVANCED_DUE_START
      description: |-
        Strategy for determining when to send invoices. Either this field OR 
              isArrears must be provided, but not both. FIRST_OF_PERIOD (invoice at start of
              billing period), LAST_OF_PERIOD (invoice at end of billing period), ARREARS
              (invoice after service delivery) or ADVANCED_DUE_START (invoice date at start of
              billing period minus netPaymentTerms days, due start of service).
      title: BillingScheduleDtoInvoiceDateStrategy
    BillingScheduleDtoInterval:
      type: string
      enum:
        - NONE
        - DAY
        - MONTH
        - HOUR
        - YEAR
        - QUARTER
        - SEMI_MONTH
        - WEEK
      description: Type of recurring interval
      title: BillingScheduleDtoInterval
    BillingScheduleDtoBillingType:
      type: string
      enum:
        - UNIT
        - FLAT
      description: Billing Type
      title: BillingScheduleDtoBillingType
    BillingScheduleDtoPricingType:
      type: string
      enum:
        - SIMPLE
        - TIERED
        - VOLUME
      description: Single, multiple, or volume-based pricing tiers
      title: BillingScheduleDtoPricingType
    BillingScheduleDtoInvoiceType:
      type: string
      enum:
        - INVOICE
        - BILL
      description: INVOICE or BILL for remittance. Use INVOICE for all instances
      title: BillingScheduleDtoInvoiceType
    BillingScheduleDto:
      type: object
      properties:
        name:
          type: string
          description: Line Item Name
        description:
          type: string
          description: Line Item Description
        startDate:
          type: string
          description: Billing Start Date
        endDate:
          type: string
          description: Billing End Date
        duration:
          type: number
          format: double
          default: 0
          description: Billing Duration
        isArrears:
          type: boolean
          description: |-
            Is Arrears (DEPRECATED: Use invoiceDateStrategy instead). 
                  Either this field OR invoiceDateStrategy must be provided, but not both.
        invoiceDateStrategy:
          $ref: '#/components/schemas/BillingScheduleDtoInvoiceDateStrategy'
          description: >-
            Strategy for determining when to send invoices. Either this field
            OR 
                  isArrears must be provided, but not both. FIRST_OF_PERIOD (invoice at start of
                  billing period), LAST_OF_PERIOD (invoice at end of billing period), ARREARS
                  (invoice after service delivery) or ADVANCED_DUE_START (invoice date at start of
                  billing period minus netPaymentTerms days, due start of service).
        isRecurring:
          type: boolean
          description: Is Recurring
        includeInArr:
          type: boolean
          description: >-
            Whether this billing term contributes to ARR (Annual Recurring
            Revenue). Defaults based on billing type and interval when omitted
            (usage and one-time terms default to false).
        interval:
          $ref: '#/components/schemas/BillingScheduleDtoInterval'
          description: Type of recurring interval
        intervalFrequency:
          type: number
          format: double
          description: Frequency of recurring interval to invoice
        netPaymentTerms:
          type: number
          format: double
          description: Time between issue and due date
        quantity:
          type: number
          format: double
          description: Quantity; set to 0 for UNIT billingType
        billingType:
          $ref: '#/components/schemas/BillingScheduleDtoBillingType'
          description: Billing Type
        pricingType:
          $ref: '#/components/schemas/BillingScheduleDtoPricingType'
          description: Single, multiple, or volume-based pricing tiers
        eventTypeId:
          type: string
          description: Usage Event Type Id
        eventTypeName:
          type:
            - string
            - 'null'
          description: Usage Event Type name
        itemId:
          type: string
          description: The item in the ERP that the line items will belong to
        productId:
          type:
            - string
            - 'null'
          description: >-
            Product ID from /v3/products that links this billing term to an
            entry in the merchant's product catalog. To ensure revenue reporting
            accuracy, associate the billing term with a product whenever
            applicable.
        invoiceType:
          $ref: '#/components/schemas/BillingScheduleDtoInvoiceType'
          description: INVOICE or BILL for remittance. Use INVOICE for all instances
        pricing:
          type: array
          items:
            $ref: '#/components/schemas/PricingTierDto'
          description: Pricing tiers
        classId:
          type: string
          description: Class Id
        departmentId:
          type: string
          description: Department Id
        projectId:
          type: string
          description: Project Id
      required:
        - name
        - startDate
        - endDate
        - isRecurring
        - interval
        - intervalFrequency
        - netPaymentTerms
        - quantity
        - billingType
        - pricingType
        - eventTypeName
        - invoiceType
        - pricing
      title: BillingScheduleDto
    RecognizedRevenueDto:
      type: object
      properties:
        timeframe:
          type: string
          description: Timeframe
        total:
          type: number
          format: double
          description: Total
        booksClosed:
          type: boolean
          description: Books closed
      required:
        - timeframe
        - total
        - booksClosed
      title: RecognizedRevenueDto
    RevenueScheduleDto:
      type: object
      properties:
        categoryId:
          type: string
          description: Category Id
        recognizedRevenue:
          type: array
          items:
            $ref: '#/components/schemas/RecognizedRevenueDto'
          description: Recognized Revenue in each month
      required:
        - recognizedRevenue
      title: RevenueScheduleDto
    ObligationDto:
      type: object
      properties:
        id:
          type: string
          description: Obligation Id
        contractId:
          type: string
          description: Contract Id
        serviceStartDate:
          type: string
          description: Revenue Start Date
        serviceEndDate:
          type: string
          description: Revenue End Date
        categoryId:
          type: string
          description: Category Id
        billingSchedule:
          $ref: '#/components/schemas/BillingScheduleDto'
          description: Billing Schedule
        revenueSchedule:
          $ref: '#/components/schemas/RevenueScheduleDto'
          description: Revenue Schedule
        discount:
          $ref: '#/components/schemas/DiscountDto'
          description: >-
            Discount configuration. Examples: { type: 'FIXED', amount: '5.00' }
            for a $5.00 fixed discount, or { type: 'PERCENTAGE', amount: '0.10'
            } for a 10% percentage discount
        seatConfig:
          $ref: '#/components/schemas/SeatBasedObligationConfigDto'
          description: Seat-based obligation configuration
      required:
        - id
        - contractId
        - serviceStartDate
        - serviceEndDate
        - billingSchedule
        - revenueSchedule
      title: ObligationDto
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{
  "serviceStartDate": "2024-01-01",
  "serviceEndDate": "2024-01-01",
  "billingSchedule": {
    "startDate": "2024-01-01",
    "isRecurring": true,
    "interval": "MONTH",
    "intervalFrequency": 1,
    "netPaymentTerms": 1,
    "quantity": 1,
    "billingType": "UNIT",
    "pricingType": "SIMPLE",
    "invoiceType": "INVOICE",
    "pricing": [
      {
        "tier": 1,
        "amount": 100,
        "amountType": "PER_ITEM",
        "tierMinimum": 0
      }
    ]
  }
}
```

**Response**

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "contractId": "123e4567-e89b-12d3-a456-426614174000",
  "serviceStartDate": "2024-01-01",
  "serviceEndDate": "2024-01-01",
  "billingSchedule": {
    "name": "Line Item Name",
    "startDate": "2024-01-01",
    "endDate": "2024-01-01",
    "isRecurring": true,
    "interval": "MONTH",
    "intervalFrequency": 1,
    "netPaymentTerms": 1,
    "quantity": 1,
    "billingType": "UNIT",
    "pricingType": "SIMPLE",
    "eventTypeName": "API Calls",
    "invoiceType": "INVOICE",
    "pricing": [
      {
        "tier": 1,
        "amount": 100,
        "amountType": "PER_ITEM",
        "tierMinimum": 0
      }
    ],
    "description": "Line Item Description",
    "duration": 1,
    "invoiceDateStrategy": "FIRST_OF_PERIOD",
    "includeInArr": true,
    "eventTypeId": "123e4567-e89b-12d3-a456-426614174000",
    "itemId": "123e4567-e89b-12d3-a456-426614174000",
    "productId": "123e4567-e89b-12d3-a456-426614174000",
    "classId": "123e4567-e89b-12d3-a456-426614174000",
    "departmentId": "123e4567-e89b-12d3-a456-426614174000",
    "projectId": "123e4567-e89b-12d3-a456-426614174000",
    "isArrears": false
  },
  "revenueSchedule": {
    "recognizedRevenue": [
      {
        "timeframe": "2024-01",
        "total": 1000,
        "booksClosed": false
      }
    ],
    "categoryId": "123e4567-e89b-12d3-a456-426614174000"
  },
  "categoryId": "123e4567-e89b-12d3-a456-426614174000",
  "discount": {
    "type": "FIXED",
    "amount": "5.00"
  },
  "seatConfig": {
    "isMovingMinimum": false,
    "minQuantity": 0,
    "defaultProrationPolicy": "NONE",
    "defaultTrueUpTiming": "IMMEDIATE"
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations"

payload = {
    "serviceStartDate": "2024-01-01",
    "serviceEndDate": "2024-01-01",
    "billingSchedule": {
        "startDate": "2024-01-01",
        "isRecurring": True,
        "interval": "MONTH",
        "intervalFrequency": 1,
        "netPaymentTerms": 1,
        "quantity": 1,
        "billingType": "UNIT",
        "pricingType": "SIMPLE",
        "invoiceType": "INVOICE",
        "pricing": [
            {
                "tier": 1,
                "amount": 100,
                "amountType": "PER_ITEM",
                "tierMinimum": 0
            }
        ]
    }
}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"serviceStartDate":"2024-01-01","serviceEndDate":"2024-01-01","billingSchedule":{"startDate":"2024-01-01","isRecurring":true,"interval":"MONTH","intervalFrequency":1,"netPaymentTerms":1,"quantity":1,"billingType":"UNIT","pricingType":"SIMPLE","invoiceType":"INVOICE","pricing":[{"tier":1,"amount":100,"amountType":"PER_ITEM","tierMinimum":0}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations"

	payload := strings.NewReader("{\n  \"serviceStartDate\": \"2024-01-01\",\n  \"serviceEndDate\": \"2024-01-01\",\n  \"billingSchedule\": {\n    \"startDate\": \"2024-01-01\",\n    \"isRecurring\": true,\n    \"interval\": \"MONTH\",\n    \"intervalFrequency\": 1,\n    \"netPaymentTerms\": 1,\n    \"quantity\": 1,\n    \"billingType\": \"UNIT\",\n    \"pricingType\": \"SIMPLE\",\n    \"invoiceType\": \"INVOICE\",\n    \"pricing\": [\n      {\n        \"tier\": 1,\n        \"amount\": 100,\n        \"amountType\": \"PER_ITEM\",\n        \"tierMinimum\": 0\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"serviceStartDate\": \"2024-01-01\",\n  \"serviceEndDate\": \"2024-01-01\",\n  \"billingSchedule\": {\n    \"startDate\": \"2024-01-01\",\n    \"isRecurring\": true,\n    \"interval\": \"MONTH\",\n    \"intervalFrequency\": 1,\n    \"netPaymentTerms\": 1,\n    \"quantity\": 1,\n    \"billingType\": \"UNIT\",\n    \"pricingType\": \"SIMPLE\",\n    \"invoiceType\": \"INVOICE\",\n    \"pricing\": [\n      {\n        \"tier\": 1,\n        \"amount\": 100,\n        \"amountType\": \"PER_ITEM\",\n        \"tierMinimum\": 0\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"serviceStartDate\": \"2024-01-01\",\n  \"serviceEndDate\": \"2024-01-01\",\n  \"billingSchedule\": {\n    \"startDate\": \"2024-01-01\",\n    \"isRecurring\": true,\n    \"interval\": \"MONTH\",\n    \"intervalFrequency\": 1,\n    \"netPaymentTerms\": 1,\n    \"quantity\": 1,\n    \"billingType\": \"UNIT\",\n    \"pricingType\": \"SIMPLE\",\n    \"invoiceType\": \"INVOICE\",\n    \"pricing\": [\n      {\n        \"tier\": 1,\n        \"amount\": 100,\n        \"amountType\": \"PER_ITEM\",\n        \"tierMinimum\": 0\n      }\n    ]\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations', [
  'body' => '{
  "serviceStartDate": "2024-01-01",
  "serviceEndDate": "2024-01-01",
  "billingSchedule": {
    "startDate": "2024-01-01",
    "isRecurring": true,
    "interval": "MONTH",
    "intervalFrequency": 1,
    "netPaymentTerms": 1,
    "quantity": 1,
    "billingType": "UNIT",
    "pricingType": "SIMPLE",
    "invoiceType": "INVOICE",
    "pricing": [
      {
        "tier": 1,
        "amount": 100,
        "amountType": "PER_ITEM",
        "tierMinimum": 0
      }
    ]
  }
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"serviceStartDate\": \"2024-01-01\",\n  \"serviceEndDate\": \"2024-01-01\",\n  \"billingSchedule\": {\n    \"startDate\": \"2024-01-01\",\n    \"isRecurring\": true,\n    \"interval\": \"MONTH\",\n    \"intervalFrequency\": 1,\n    \"netPaymentTerms\": 1,\n    \"quantity\": 1,\n    \"billingType\": \"UNIT\",\n    \"pricingType\": \"SIMPLE\",\n    \"invoiceType\": \"INVOICE\",\n    \"pricing\": [\n      {\n        \"tier\": 1,\n        \"amount\": 100,\n        \"amountType\": \"PER_ITEM\",\n        \"tierMinimum\": 0\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "serviceStartDate": "2024-01-01",
  "serviceEndDate": "2024-01-01",
  "billingSchedule": [
    "startDate": "2024-01-01",
    "isRecurring": true,
    "interval": "MONTH",
    "intervalFrequency": 1,
    "netPaymentTerms": 1,
    "quantity": 1,
    "billingType": "UNIT",
    "pricingType": "SIMPLE",
    "invoiceType": "INVOICE",
    "pricing": [
      [
        "tier": 1,
        "amount": 100,
        "amountType": "PER_ITEM",
        "tierMinimum": 0
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```